[CentOS] yum upgrade perl question

Rogelio Bastardo scubacuda at gmail.com
Tue Jul 24 17:48:22 UTC 2007


I'm looking to install n2rrd, which requires Perl 5.8.x
(http://n2rrd.diglinks.com/cgi-bin/trac.cgi)

I see that lots of Perl stuff is installed. Do I just need to yum
upgrade perl-libwww-perl-5.78.5 to the latest?

Here's what I have installed perl-wise:

[root at nagios-server nagios2cacti]# rpm -qa | grep perl
perl-DBI-1.40-8
perl-HTML-Tagset-3.03-30
perl-XML-Parser-2.34-5
perl-libxml-enno-1.02-31
perl-Digest-HMAC-1.01-13
perl-Socket6-0.19-1.2.el4.rf
perl-URI-1.30-4
newt-perl-1.08-7
perl-DateManip-5.42a-3
perl-HTML-Parser-3.35-6
perl-libwww-perl-5.79-5
perl-libxml-perl-0.07-30
perl-XML-Encoding-1.01-26
perl-Crypt-DES-2.05-3.2.el4.rf
perl-Net-SNMP-5.2.0-1.2.el4.rf
perl-rrdtool-1.2.23-1.el4.rf
perl-5.8.8-4.el4s1
perl-DBD-Pg-1.49-1.el4s1
perl-Digest-SHA1-2.07-5
perl-Net-DNS-0.48-1
perl-Parse-Yapp-1.05-32
perl-XML-Dumper-0.71-2
mod_perl-1.99_16-4.5
perl-DBD-MySQL-3.0008-1.el4.centos
[root at nagios-server nagios2cacti]#



More information about the CentOS mailing list